/**
 *    '$RCSfile: SaveInLibraryAction.java,v $'
 *
 *     '$Author: bowers $'
 *       '$Date: 2006/05/20 00:18:38 $'
 *   '$Revision: 1.1 $'
 *
 *  For Details: http://kepler-project.org
 *
 * Copyright (c) 2005 The Regents of the University of California.
 * All rights reserved.
 *
 * Permission is hereby granted, without written agreement and without
 * license or royalty fees, to use, copy, modify, and distribute this
 * software and its documentation for any purpose, provided that the
 * above copyright notice and the following two paragraphs appear in
 * all copies of this software.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
 * ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
 * IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY
 * OF SUCH DAMAGE.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
 * PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY
 * OF CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT,
 * UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */

package org.kepler.ksw.gui;


import ptolemy.vergil.toolbox.FigureAction;
import ptolemy.kernel.util.NamedObj;
import ptolemy.kernel.Entity;
import ptolemy.kernel.CompositeEntity;
import ptolemy.actor.gui.*;
import java.awt.event.ActionEvent;
import org.kepler.objectmanager.library.LibraryIndex;

public class SaveInLibraryAction extends FigureAction {

    /**
     * Constructor
     *
     * @param parent the "frame" (derived from ptolemy.gui.Top)
     * where the menu is being added.
     * NOTE this parameter is automatically passed to your
     * constructor by the menu system at runtime
     */
    public SaveInLibraryAction(TableauFrame parent) {
	super("");
	_parent = parent;    
	putValue("tooltip", "Save Component to Library");
    }
    

    /** 
     * Invoked when an action occurs.
     * @param  e  ActionEvent
     */
    public void actionPerformed(ActionEvent ae) {
	super.actionPerformed(ae);
	// get the target
	NamedObj object = getTarget();
	
	if (object instanceof Entity) {
	    try {
		// Frame frame = getFrame();
		SaveInLibraryDialog d = 
		    new SaveInLibraryDialog(null, (Entity)object);
		d.setVisible(true);
	    } catch(Exception ex) {
		ex.printStackTrace();
	    }
	}	
    }

    private TableauFrame _parent;

}

