/* JCOGPROXYExec actor subclased from stanard Exec from PtolemyII concepts.
 Copyright (c) 2005 The Regents of the University of California.
 All rights reserved.

  Permission is hereby granted, without written agreement and without
 license or royalty fees, to use, copy, modify, and distribute this
 software and its documentation for any purpose, provided that the above
 copyright notice and the following two paragraphs appear in all copies
 of this software.

 IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
 FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
 ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
 THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

 THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
 PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
 CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
 ENHANCEMENTS, OR MODIFICATIONS.
                                        PT_COPYRIGHT_VERSION_2
                                        COPYRIGHTENDKEY
*/

package org.monash.griddles;

import ptolemy.actor.TypedAtomicActor;
import ptolemy.kernel.CompositeEntity;
import ptolemy.data.expr.FileParameter;
import ptolemy.data.StringToken;
import ptolemy.kernel.util.NameDuplicationException;
import ptolemy.kernel.util.IllegalActionException;
import java.io.InputStream;
import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.File;

/**
  *   JCOGPROXYExec is a subclass of the Exec actor in 
  *   which it takes xml configuration file as input and performs 
  *   the experiment as a independent process ......
  * 
  * This actor makes complex applications to run distributed systems .....   
  * @author Jagan Kommineni, Monash University July 2005
  * @version $Id: JCOGPROXYExec.java,v 1.3 2006/05/04 00:11:11 kommineni Exp $
  **/


public class JCOGPROXYExec extends TypedAtomicActor  {
  public JCOGPROXYExec(CompositeEntity container, String name)
    throws NameDuplicationException, IllegalActionException  {
    super(container, name);
    }

  public synchronized void fire() throws IllegalActionException 
    {
    try
      {
      GriddlesUtil griddlesUtil = new GriddlesUtil();
      String kepler = System.getProperty("KEPLER");
      File kfile = new File(kepler+"/cog");       
      String classPath = griddlesUtil.visitAllDirsAndFiles(kfile);
      classPath += kfile.pathSeparator;
      classPath += System.getProperty("java.class.path",".");
      //System.out.println("Classpath="+classPath);                         
      String wfCommnad =  "java -classpath "+classPath+" org.globus.tools.proxy.GridProxyInit";
      System.out.println(wfCommnad);
      griddlesUtil.executeCommand(wfCommnad, null);
      }
    catch(Exception ex) 
      { 
      System.out.println("The exception raised the message "+ex.getMessage());        
      ex.printStackTrace();      
      }
    }

  public boolean postfire() {
    return false;
    }
  }